<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/Validate.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_validate_8h.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Validate.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_error_8h_source.xhtml">arm_compute/core/Error.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_h_o_g_info_8h_source.xhtml">arm_compute/core/HOGInfo.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_i_kernel_8h_source.xhtml">arm_compute/core/IKernel.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_i_multi_h_o_g_8h_source.xhtml">arm_compute/core/IMultiHOG.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_i_multi_image_8h_source.xhtml">arm_compute/core/IMultiImage.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_i_tensor_8h_source.xhtml">arm_compute/core/ITensor.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_multi_image_info_8h_source.xhtml">arm_compute/core/MultiImageInfo.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_window_8h_source.xhtml">arm_compute/core/Window.h</a>&quot;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
</div>
<p><a href="_validate_8h_source.xhtml">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacearm__compute"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a57b20c050f8af67775d6da1b6febf038"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#a57b20c050f8af67775d6da1b6febf038">ARM_COMPUTE_ERROR_ON_MISMATCHING_WINDOWS</a>(f,  w)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a26a9847c05c48bd1470f22f898ee254d">arm_compute::error_on_mismatching_windows</a>(__func__, __FILE__, __LINE__, f, w)</td></tr>
<tr class="separator:a57b20c050f8af67775d6da1b6febf038"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6eb9ce82815fe429250189da7592ba75"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#a6eb9ce82815fe429250189da7592ba75">ARM_COMPUTE_ERROR_ON_INVALID_SUBWINDOW</a>(f,  s)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a0916477887763c20822b43be144963eb">arm_compute::error_on_invalid_subwindow</a>(__func__, __FILE__, __LINE__, f, s)</td></tr>
<tr class="separator:a6eb9ce82815fe429250189da7592ba75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecee2852b71597de947ff5ec4b9765f6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#aecee2852b71597de947ff5ec4b9765f6">ARM_COMPUTE_ERROR_ON_COORDINATES_DIMENSIONS_GTE</a>(p,  md)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a130822528598f21a48f7ee0e6d8438a0">arm_compute::error_on_coordinates_dimensions_gte</a>(__func__, __FILE__, __LINE__, p, md)</td></tr>
<tr class="separator:aecee2852b71597de947ff5ec4b9765f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5084ef537306d09b1ef82aed5d1f63f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#af5084ef537306d09b1ef82aed5d1f63f">ARM_COMPUTE_ERROR_ON_WINDOW_DIMENSIONS_GTE</a>(w,  md)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a6fed5543ae383442a51362e6607c4e65">arm_compute::error_on_window_dimensions_gte</a>(__func__, __FILE__, __LINE__, w, md)</td></tr>
<tr class="separator:af5084ef537306d09b1ef82aed5d1f63f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafce5e9928fac427dcd29d960bcf2ae3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#aafce5e9928fac427dcd29d960bcf2ae3">ARM_COMPUTE_ERROR_ON_MISMATCHING_SHAPES</a>(...)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a7b689868b627ba9e22c8473c5f985512">arm_compute::error_on_mismatching_shapes</a>(__func__, __FILE__, __LINE__, __VA_ARGS__)</td></tr>
<tr class="separator:aafce5e9928fac427dcd29d960bcf2ae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5befbfaf6bc224eabc58b5e88b1de6d1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#a5befbfaf6bc224eabc58b5e88b1de6d1">ARM_COMPUTE_ERROR_ON_MISMATCHING_DATA_TYPES</a>(...)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#ad35d92af32949e38ec38b3d8e46b566c">arm_compute::error_on_mismatching_data_types</a>(__func__, __FILE__, __LINE__, __VA_ARGS__)</td></tr>
<tr class="separator:a5befbfaf6bc224eabc58b5e88b1de6d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d34a8aa07600727e4e5034c7cdad47d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#a0d34a8aa07600727e4e5034c7cdad47d">ARM_COMPUTE_ERROR_ON_FORMAT_NOT_IN</a>(t, ...)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a0b360558b516e256f0af005a164c674e">arm_compute::error_on_format_not_in</a>(__func__, __FILE__, __LINE__, t, __VA_ARGS__)</td></tr>
<tr class="separator:a0d34a8aa07600727e4e5034c7cdad47d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4264d7e3318c4188e48127a75f3f0f8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#a4264d7e3318c4188e48127a75f3f0f8a">ARM_COMPUTE_ERROR_ON_DATA_TYPE_NOT_IN</a>(t, ...)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a0c52339d3cb372d145deeafb5a313807">arm_compute::error_on_data_type_not_in</a>(__func__, __FILE__, __LINE__, t, __VA_ARGS__)</td></tr>
<tr class="separator:a4264d7e3318c4188e48127a75f3f0f8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadf5c9cff86327b96d88d04649d9715e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#aadf5c9cff86327b96d88d04649d9715e">ARM_COMPUTE_ERROR_ON_DATA_TYPE_CHANNEL_NOT_IN</a>(t,  c, ...)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a690ce072b4480f4a5bad433f23c9fe05">arm_compute::error_on_data_type_channel_not_in</a>(__func__, __FILE__, __LINE__, t, c, __VA_ARGS__)</td></tr>
<tr class="separator:aadf5c9cff86327b96d88d04649d9715e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbd63a8040ec1e44308da1d3be3732ae"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#abbd63a8040ec1e44308da1d3be3732ae">ARM_COMPUTE_ERROR_ON_TENSOR_NOT_2D</a>(t)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a65c8e0610dff27ecf1ef30214f08d19e">arm_compute::error_on_tensor_not_2d</a>(__func__, __FILE__, __LINE__, t)</td></tr>
<tr class="separator:abbd63a8040ec1e44308da1d3be3732ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a350e28d20c8bd44408f14ad634c9c2ff"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#a350e28d20c8bd44408f14ad634c9c2ff">ARM_COMPUTE_ERROR_ON_CHANNEL_NOT_IN</a>(c, ...)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a593d972357b3bcfeecb87207dc925417">arm_compute::error_on_channel_not_in</a>(__func__, __FILE__, __LINE__, c, __VA_ARGS__)</td></tr>
<tr class="separator:a350e28d20c8bd44408f14ad634c9c2ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35784b5583a4b264f0583a83fae77f80"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#a35784b5583a4b264f0583a83fae77f80">ARM_COMPUTE_ERROR_ON_CHANNEL_NOT_IN_KNOWN_FORMAT</a>(f,  c)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#ad0d001a84424d440f9a11fc1b80ed2ff">arm_compute::error_on_channel_not_in_known_format</a>(__func__, __FILE__, __LINE__, f, c)</td></tr>
<tr class="separator:a35784b5583a4b264f0583a83fae77f80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abced8d9603a5927ebad9de2528f48962"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#abced8d9603a5927ebad9de2528f48962">ARM_COMPUTE_ERROR_ON_INVALID_MULTI_HOG</a>(m)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a307666ca482a84d5a64251d78889a818">arm_compute::error_on_invalid_multi_hog</a>(__func__, __FILE__, __LINE__, m)</td></tr>
<tr class="separator:abced8d9603a5927ebad9de2528f48962"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b35b0d258183cf9ef36adf684d0b88c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_validate_8h.xhtml#a1b35b0d258183cf9ef36adf684d0b88c">ARM_COMPUTE_ERROR_ON_UNCONFIGURED_KERNEL</a>(k)&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a21a4884cd1dbfa83351b8efa265f526a">arm_compute::error_on_unconfigured_kernel</a>(__func__, __FILE__, __LINE__, k)</td></tr>
<tr class="separator:a1b35b0d258183cf9ef36adf684d0b88c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a26a9847c05c48bd1470f22f898ee254d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a26a9847c05c48bd1470f22f898ee254d">error_on_mismatching_windows</a> (const char *function, const char *file, const int line, const Window &amp;full, const Window &amp;win)</td></tr>
<tr class="memdesc:a26a9847c05c48bd1470f22f898ee254d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the passed window is invalid.  <a href="namespacearm__compute.xhtml#a26a9847c05c48bd1470f22f898ee254d">More...</a><br /></td></tr>
<tr class="separator:a26a9847c05c48bd1470f22f898ee254d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0916477887763c20822b43be144963eb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a0916477887763c20822b43be144963eb">error_on_invalid_subwindow</a> (const char *function, const char *file, const int line, const Window &amp;full, const Window &amp;sub)</td></tr>
<tr class="memdesc:a0916477887763c20822b43be144963eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the passed subwindow is invalid.  <a href="namespacearm__compute.xhtml#a0916477887763c20822b43be144963eb">More...</a><br /></td></tr>
<tr class="separator:a0916477887763c20822b43be144963eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a130822528598f21a48f7ee0e6d8438a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a130822528598f21a48f7ee0e6d8438a0">error_on_coordinates_dimensions_gte</a> (const char *function, const char *file, const int line, const Coordinates &amp;pos, unsigned int max_dim)</td></tr>
<tr class="memdesc:a130822528598f21a48f7ee0e6d8438a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the passed coordinates have too many dimensions.  <a href="namespacearm__compute.xhtml#a130822528598f21a48f7ee0e6d8438a0">More...</a><br /></td></tr>
<tr class="separator:a130822528598f21a48f7ee0e6d8438a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fed5543ae383442a51362e6607c4e65"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a6fed5543ae383442a51362e6607c4e65">error_on_window_dimensions_gte</a> (const char *function, const char *file, const int line, const Window &amp;win, unsigned int max_dim)</td></tr>
<tr class="memdesc:a6fed5543ae383442a51362e6607c4e65"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the passed window has too many dimensions.  <a href="namespacearm__compute.xhtml#a6fed5543ae383442a51362e6607c4e65">More...</a><br /></td></tr>
<tr class="separator:a6fed5543ae383442a51362e6607c4e65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98c979818eae59f104fcaf8de723aeda"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a98c979818eae59f104fcaf8de723aeda">have_different_shapes</a> (const ITensor *tensor_1, const ITensor *tensor_2)</td></tr>
<tr class="separator:a98c979818eae59f104fcaf8de723aeda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b689868b627ba9e22c8473c5f985512"><td class="memTemplParams" colspan="2">template&lt;typename... Ts&gt; </td></tr>
<tr class="memitem:a7b689868b627ba9e22c8473c5f985512"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a7b689868b627ba9e22c8473c5f985512">error_on_mismatching_shapes</a> (const char *function, const char *file, const int line, const ITensor *tensor_1, const ITensor *tensor_2, Ts...tensors)</td></tr>
<tr class="memdesc:a7b689868b627ba9e22c8473c5f985512"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the passed two tensors have different shapes.  <a href="namespacearm__compute.xhtml#a7b689868b627ba9e22c8473c5f985512">More...</a><br /></td></tr>
<tr class="separator:a7b689868b627ba9e22c8473c5f985512"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad35d92af32949e38ec38b3d8e46b566c"><td class="memTemplParams" colspan="2">template&lt;typename... Ts&gt; </td></tr>
<tr class="memitem:ad35d92af32949e38ec38b3d8e46b566c"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#ad35d92af32949e38ec38b3d8e46b566c">error_on_mismatching_data_types</a> (const char *function, const char *file, const int line, const ITensor *tensor_1, const ITensor *tensor_2, Ts...tensors)</td></tr>
<tr class="memdesc:ad35d92af32949e38ec38b3d8e46b566c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the passed two tensors have different data types.  <a href="namespacearm__compute.xhtml#ad35d92af32949e38ec38b3d8e46b566c">More...</a><br /></td></tr>
<tr class="separator:ad35d92af32949e38ec38b3d8e46b566c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b360558b516e256f0af005a164c674e"><td class="memTemplParams" colspan="2">template&lt;typename T , typename F , typename... Fs&gt; </td></tr>
<tr class="memitem:a0b360558b516e256f0af005a164c674e"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a0b360558b516e256f0af005a164c674e">error_on_format_not_in</a> (const char *function, const char *file, const int line, const T *object, F &amp;&amp;format, Fs &amp;&amp;...formats)</td></tr>
<tr class="memdesc:a0b360558b516e256f0af005a164c674e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the format of the passed tensor/multi-image does not match any of the formats provided.  <a href="namespacearm__compute.xhtml#a0b360558b516e256f0af005a164c674e">More...</a><br /></td></tr>
<tr class="separator:a0b360558b516e256f0af005a164c674e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c52339d3cb372d145deeafb5a313807"><td class="memTemplParams" colspan="2">template&lt;typename T , typename... Ts&gt; </td></tr>
<tr class="memitem:a0c52339d3cb372d145deeafb5a313807"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a0c52339d3cb372d145deeafb5a313807">error_on_data_type_not_in</a> (const char *function, const char *file, const int line, const ITensor *tensor, T &amp;&amp;dt, Ts &amp;&amp;...dts)</td></tr>
<tr class="memdesc:a0c52339d3cb372d145deeafb5a313807"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the data type of the passed tensor does not match any of the data types provided.  <a href="namespacearm__compute.xhtml#a0c52339d3cb372d145deeafb5a313807">More...</a><br /></td></tr>
<tr class="separator:a0c52339d3cb372d145deeafb5a313807"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a690ce072b4480f4a5bad433f23c9fe05"><td class="memTemplParams" colspan="2">template&lt;typename T , typename... Ts&gt; </td></tr>
<tr class="memitem:a690ce072b4480f4a5bad433f23c9fe05"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a690ce072b4480f4a5bad433f23c9fe05">error_on_data_type_channel_not_in</a> (const char *function, const char *file, const int line, const ITensor *tensor, size_t num_channels, T &amp;&amp;dt, Ts &amp;&amp;...dts)</td></tr>
<tr class="memdesc:a690ce072b4480f4a5bad433f23c9fe05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the data type or the number of channels of the passed tensor does not match any of the data types and number of channels provided.  <a href="namespacearm__compute.xhtml#a690ce072b4480f4a5bad433f23c9fe05">More...</a><br /></td></tr>
<tr class="separator:a690ce072b4480f4a5bad433f23c9fe05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65c8e0610dff27ecf1ef30214f08d19e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a65c8e0610dff27ecf1ef30214f08d19e">error_on_tensor_not_2d</a> (const char *function, const char *file, const int line, const ITensor *tensor)</td></tr>
<tr class="memdesc:a65c8e0610dff27ecf1ef30214f08d19e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the tensor is not 2D.  <a href="namespacearm__compute.xhtml#a65c8e0610dff27ecf1ef30214f08d19e">More...</a><br /></td></tr>
<tr class="separator:a65c8e0610dff27ecf1ef30214f08d19e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a593d972357b3bcfeecb87207dc925417"><td class="memTemplParams" colspan="2">template&lt;typename T , typename... Ts&gt; </td></tr>
<tr class="memitem:a593d972357b3bcfeecb87207dc925417"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a593d972357b3bcfeecb87207dc925417">error_on_channel_not_in</a> (const char *function, const char *file, const int line, T cn, T &amp;&amp;channel, Ts &amp;&amp;...channels)</td></tr>
<tr class="memdesc:a593d972357b3bcfeecb87207dc925417"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the channel is not in channels.  <a href="namespacearm__compute.xhtml#a593d972357b3bcfeecb87207dc925417">More...</a><br /></td></tr>
<tr class="separator:a593d972357b3bcfeecb87207dc925417"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0d001a84424d440f9a11fc1b80ed2ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#ad0d001a84424d440f9a11fc1b80ed2ff">error_on_channel_not_in_known_format</a> (const char *function, const char *file, const int line, Format fmt, Channel cn)</td></tr>
<tr class="memdesc:ad0d001a84424d440f9a11fc1b80ed2ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the channel is not in format.  <a href="namespacearm__compute.xhtml#ad0d001a84424d440f9a11fc1b80ed2ff">More...</a><br /></td></tr>
<tr class="separator:ad0d001a84424d440f9a11fc1b80ed2ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a307666ca482a84d5a64251d78889a818"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a307666ca482a84d5a64251d78889a818">error_on_invalid_multi_hog</a> (const char *function, const char *file, const int line, const IMultiHOG *multi_hog)</td></tr>
<tr class="memdesc:a307666ca482a84d5a64251d78889a818"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the <a class="el" href="classarm__compute_1_1_i_multi_h_o_g.xhtml">IMultiHOG</a> container is invalid.  <a href="namespacearm__compute.xhtml#a307666ca482a84d5a64251d78889a818">More...</a><br /></td></tr>
<tr class="separator:a307666ca482a84d5a64251d78889a818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21a4884cd1dbfa83351b8efa265f526a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacearm__compute.xhtml#a21a4884cd1dbfa83351b8efa265f526a">error_on_unconfigured_kernel</a> (const char *function, const char *file, const int line, const IKernel *kernel)</td></tr>
<tr class="memdesc:a21a4884cd1dbfa83351b8efa265f526a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Throw an error if the kernel is not configured.  <a href="namespacearm__compute.xhtml#a21a4884cd1dbfa83351b8efa265f526a">More...</a><br /></td></tr>
<tr class="separator:a21a4884cd1dbfa83351b8efa265f526a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="a350e28d20c8bd44408f14ad634c9c2ff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_CHANNEL_NOT_IN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">c, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a593d972357b3bcfeecb87207dc925417">arm_compute::error_on_channel_not_in</a>(__func__, __FILE__, __LINE__, c, __VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00305">305</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a35784b5583a4b264f0583a83fae77f80"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_CHANNEL_NOT_IN_KNOWN_FORMAT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">f, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">c&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#ad0d001a84424d440f9a11fc1b80ed2ff">arm_compute::error_on_channel_not_in_known_format</a>(__func__, __FILE__, __LINE__, f, c)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00317">317</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="aecee2852b71597de947ff5ec4b9765f6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_COORDINATES_DIMENSIONS_GTE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">p, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">md&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a130822528598f21a48f7ee0e6d8438a0">arm_compute::error_on_coordinates_dimensions_gte</a>(__func__, __FILE__, __LINE__, p, md)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00086">86</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="aadf5c9cff86327b96d88d04649d9715e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_DATA_TYPE_CHANNEL_NOT_IN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">t, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">c, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a690ce072b4480f4a5bad433f23c9fe05">arm_compute::error_on_data_type_channel_not_in</a>(__func__, __FILE__, __LINE__, t, c, __VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00269">269</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4264d7e3318c4188e48127a75f3f0f8a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_DATA_TYPE_NOT_IN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">t, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a0c52339d3cb372d145deeafb5a313807">arm_compute::error_on_data_type_not_in</a>(__func__, __FILE__, __LINE__, t, __VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00246">246</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0d34a8aa07600727e4e5034c7cdad47d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_FORMAT_NOT_IN</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">t, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a0b360558b516e256f0af005a164c674e">arm_compute::error_on_format_not_in</a>(__func__, __FILE__, __LINE__, t, __VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00215">215</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

<p>Referenced by <a class="el" href="_utils_8cpp_source.xhtml#l00099">test_helpers::draw_detection_rectangle()</a>, <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00142">PPMLoader::fill_image()</a>, and <a class="el" href="test__helpers_2_utils_8h_source.xhtml#l00245">test_helpers::save_to_ppm()</a>.</p>

</div>
</div>
<a class="anchor" id="abced8d9603a5927ebad9de2528f48962"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_INVALID_MULTI_HOG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">m</td><td>)</td>
          <td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a307666ca482a84d5a64251d78889a818">arm_compute::error_on_invalid_multi_hog</a>(__func__, __FILE__, __LINE__, m)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00334">334</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6eb9ce82815fe429250189da7592ba75"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_INVALID_SUBWINDOW</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">f, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">s&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a0916477887763c20822b43be144963eb">arm_compute::error_on_invalid_subwindow</a>(__func__, __FILE__, __LINE__, f, s)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00072">72</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5befbfaf6bc224eabc58b5e88b1de6d1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_MISMATCHING_DATA_TYPES</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#ad35d92af32949e38ec38b3d8e46b566c">arm_compute::error_on_mismatching_data_types</a>(__func__, __FILE__, __LINE__, __VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00184">184</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="aafce5e9928fac427dcd29d960bcf2ae3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_MISMATCHING_SHAPES</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a7b689868b627ba9e22c8473c5f985512">arm_compute::error_on_mismatching_shapes</a>(__func__, __FILE__, __LINE__, __VA_ARGS__)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00150">150</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a57b20c050f8af67775d6da1b6febf038"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_MISMATCHING_WINDOWS</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">f, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">w&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a26a9847c05c48bd1470f22f898ee254d">arm_compute::error_on_mismatching_windows</a>(__func__, __FILE__, __LINE__, f, w)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00055">55</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="abbd63a8040ec1e44308da1d3be3732ae"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_TENSOR_NOT_2D</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">t</td><td>)</td>
          <td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a65c8e0610dff27ecf1ef30214f08d19e">arm_compute::error_on_tensor_not_2d</a>(__func__, __FILE__, __LINE__, t)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00280">280</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1b35b0d258183cf9ef36adf684d0b88c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_UNCONFIGURED_KERNEL</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">k</td><td>)</td>
          <td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a21a4884cd1dbfa83351b8efa265f526a">arm_compute::error_on_unconfigured_kernel</a>(__func__, __FILE__, __LINE__, k)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00345">345</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
<a class="anchor" id="af5084ef537306d09b1ef82aed5d1f63f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARM_COMPUTE_ERROR_ON_WINDOW_DIMENSIONS_GTE</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">w, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">md&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;::<a class="el" href="namespacearm__compute.xhtml#a6fed5543ae383442a51362e6607c4e65">arm_compute::error_on_window_dimensions_gte</a>(__func__, __FILE__, __LINE__, w, md)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_validate_8h_source.xhtml#l00100">100</a> of file <a class="el" href="_validate_8h_source.xhtml">Validate.h</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="_validate_8h.xhtml">Validate.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
